
{% extends 'base_gallery.html' %}
{% load static %}

{% block content %}
<link type="text/css" rel="stylesheet" href="{% static 'css/profile.css' %}">
<div id="parent">
    <div id="child-left">
    	{% if request.user == u %}

		<h2>My Friends</h2>

		{% for friend in friends_list %}
			<a href="/users/{{ friend.user.pk }}">{{ friend.user.username }}</a>
		{% endfor %}
		<hr>
		<h3>Sent Friend requests</h3>
            <ul>
            {% for s_request in sent_friend_requests %}
                <li>{{ s_request.to_profile.user.username }}</li>
            {% endfor %}
            </ul>
		<hr>
		<h3>Received Friend requests</h3>

		{% for r_request in rec_friend_requests %}
			<p><a href="{{ r_request.from_profile.get_absolute_url }}">{{ r_request.from_profile.user.username }}</a></p>
			<small><a class='btn btn-primary' href="/users/friend-request/accept/{{ r_request.from_profile.user.id }}">Accept</a></small>
			<small><a class='btn btn-warning' href="/users/friend-request/delete/{{ r_request.from_profile.user.id }}">Delete</a></small>
		{% endfor %}


	{% else %}

		{% if button_status == 'not_friend' %}
			<small><a class='btn btn-primary' href="/users/friend-request/send/{{ u.id }}">Add Friend</a></small>
		{% elif button_status == 'friend_request_sent' %}
			<small><a class="btn btn-warning" href="/users/friend-request/cancel/{{ u.id }}">Cancel Request</a></small>
		{% endif %}

	{% endif %}
    </div>
    <div id="child-right">
    <h3>All Users List:</h3>
        <ul>
        {% for user_p in users %}
            <li><a href="{{ user_p.get_absolute_url }}">{{ user_p }}</a></li>
        {% endfor %}
        </ul>
    </div>
</div>

{% endblock %}